package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;

/**
 * @author WangYao
 * @date 2018/6/3 10:21
 * @description 资源目录数据模型
 */
public class DictionaryDataModel {

    @FieldDescriber(descripton = "ID")
    private Long id;

    @FieldDescriber(descripton = "字典组")
    private Long groupId;

    @FieldDescriber(descripton = "字典名称")
    private String dicName;

    @FieldDescriber(descripton = "字典值")
    private String dicValue;

    @FieldDescriber(descripton = "字典层级")
    private String dicLevel;

    @FieldDescriber(descripton = "创建人")
    private Long createdBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getDicName() {
        return dicName;
    }

    public void setDicName(String dicName) {
        this.dicName = dicName;
    }

    public String getDicValue() {
        return dicValue;
    }

    public void setDicValue(String dicValue) {
        this.dicValue = dicValue;
    }

    public String getDicLevel() {
        return dicLevel;
    }

    public void setDicLevel(String dicLevel) {
        this.dicLevel = dicLevel;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }
}
